:host {
  display: inline-block;
  vertical-align: middle;
  justify-content: center;
}
.button {
  --button-color-hue: var(--ms-color1-hue);
  --button-color-saturation: var(--ms-color1-saturation);
  --button-color-light: var(--ms-color1-light);
  --button-color-light-variation: calc(var(--button-color-light) - 6%);
  --button-color: #f11717;
  --button-background: var(--button-color);
  --button-text-color: var(--ms-color-dark);
  --button-background-hover: #000;
  --button-text-color-hover: var(--button-text-color);
  appearance: none;
  margin: 0;
  padding: 0.75em 1.25em;
  line-height: 1;
  border: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  cursor: pointer;
  gap: 0.5em;
  border-radius: 3em;
  background: var(--button-background);
  color: var(--button-text-color);
  transition: transform 0.1s ease-in-out, color 0.1s linear, outline 0.1s linear;
  text-decoration: none;
}
.button:disabled {
  opacity: 0.32;
  pointer-events: none;
  cursor: initial;
}
.button.is-icon {
  padding: 0.75em;
}
.button > span:empty {
  display: none;
}
.button ::ng-deep lucide-icon, .button ::ng-deep svg {
  display: block;
  width: 1em;
  height: 1em;
}
.button:hover, .button:focus, .button:active {
  background: var(--button-background-hover);
  color: var(--button-text-color-hover);
}
.button:focus {
  outline: 2px solid rgba(0, 0, 0, 0.32);
}
.button:active {
  transform: scale(0.92);
}
.button.is-primary {
  --button-color-hue: var(--ms-color1-hue);
  --button-color-saturation: var(--ms-color1-saturation);
  --button-color-light: var(--ms-color1-light);
  --button-color-light-variation: calc(var(--ms-color1-light) - 6%);
  --button-background: linear-gradient(85.93deg, #fab46e 0%, #f15a50 100%);
}
.button.is-secondary {
  --button-color-hue: var(--ms-color2-hue);
  --button-color-saturation: var(--ms-color2-saturation);
  --button-color-light: calc(var(--ms-color2-light) + 10%);
  --button-color-light-variation: calc(var(--ms-color2-light) + 14%);
  --button-text-color: var(--text-color);
  --button-text-color-hover: var(--text-color);
}
.button.is-danger {
  --button-color-hue: var(--ms-color-danger-color-hue);
  --button-color-saturation: var(--ms-color-danger-color-saturation);
  --button-color-light: var(--ms-color-danger-color-light);
}
.button.is-white {
  --button-color-hue: var(--ms-color-text-color-hue);
  --button-color-saturation: var(--ms-color-text-color-saturation);
  --button-color-light: var(--ms-color-text-color-light);
}
.button.button--ghost {
  --button-background: transparent;
  --button-background-hover: rgba(0, 0, 0, 0.08);
  --button-text-color: var(--text-color);
  --button-text-color-hover: var(--button-color);
}
